Pkgcheck Warnings

  • All Versions
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/musl' (51 total) failed REQUIRED_USE: exactly-one-of ( scala211 scala212 )
    • UnstableOnly
      for arch: [ amd64 ], all versions are unstable: [ 2.4.3, 2.4.7-r1, 3.0.1-r2, 3.1.2 ]
    • RedundantVersion
      slot(2) keywords are overshadowed by version: 2.4.7-r1
    • RedundantVersion
      slot(3) keywords are overshadowed by version: 3.1.2
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/musl' (51 total) failed REQUIRED_USE: exactly-one-of ( scala211 scala212 )
    • ExcessiveLineLength
      excessive line length (over 120 characters) on lines: 11, 12
    • ExcessiveLineLength
      excessive line length (over 120 characters) on lines: 11, 12
  • 3.1.2
    • 3.0.1-r2
      • RedundantVersion
        slot(3) keywords are overshadowed by version: 3.1.2
    • 2.4.7-r1
      • RequiredUseDefaults
        profile: 'default/linux/amd64/17.0/musl' (51 total) failed REQUIRED_USE: exactly-one-of ( scala211 scala212 )
      • ExcessiveLineLength
        excessive line length (over 120 characters) on lines: 11, 12
    • 2.4.3
      • RequiredUseDefaults
        profile: 'default/linux/amd64/17.0/musl' (51 total) failed REQUIRED_USE: exactly-one-of ( scala211 scala212 )
      • RedundantVersion
        slot(2) keywords are overshadowed by version: 2.4.7-r1
      • ExcessiveLineLength
        excessive line length (over 120 characters) on lines: 11, 12

    Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.